From 227ff0cbf587711ab7d2de5f261ea573e6b4a43a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 22 2020 20:04:19 +0000
Subject: [PATCH 1479/2232] Fix test suite panic message forward compatibility lint


    warning: panic message contains braces
       --> tests/test.rs:21:9
        |
    21  |         assert!(CORRECT.with(|correct| correct.get()), stringify!($run));
        |         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    ...
    106 |     check!(ffi::c_take_shared(ffi::Shared { z: 2020 }));
        |     ---------------------------------------------------- in this macro invocation
        |
        = note: `#[warn(panic_fmt)]` on by default
        = note: this message is not used as a format string, but will be in a future Rust edition
        = note: this warning originates in a macro (in Nightly builds, run with -Z macro-backtrace for more info)
    help: add a "{}" format string to use the message literally
        |
    21  |         assert!(CORRECT.with(|correct| correct.get()), "{}", stringify!($run));
        |                                                        ^^^^^

---

diff --git a/tests/test.rs b/tests/test.rs
index bf69379..2940b6e 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -18,7 +18,7 @@ macro_rules! check {
     ($run:expr) => {{
         CORRECT.with(|correct| correct.set(false));
         $run;
-        assert!(CORRECT.with(|correct| correct.get()), stringify!($run));
+        assert!(CORRECT.with(|correct| correct.get()), "{}", stringify!($run));
     }};
 }
 

